"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-38/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDEADC0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDEAE50>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDEAEE0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDEAF70>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0040>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF00D0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF01F0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0280>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0310>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF03A0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0430>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF04C0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0550>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF05E0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0670>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0700>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0790>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0820>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF08B0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0940>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF09D0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0A60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0AF0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0C10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0B80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0CA0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0D30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0DC0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0E50>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0EE0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF0F70>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4040>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF40D0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4160>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF41F0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4280>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4310>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF43A0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4430>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF44C0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4550>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF45E0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4670>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4700>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4790>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4820>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF48B0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4940>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF49D0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4A60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4AF0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4B80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4C10>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4CA0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4D30>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4DC0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4E50>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4EE0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF4F70>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8040>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF80D0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8160>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF81F0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8280>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8430>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8310>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF84C0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8550>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF85E0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8670>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8700>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8820>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8790>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF88B0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8940>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF89D0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8AF0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8A60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8B80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8C10>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8CA0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8D30>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8DC0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000027D3CDF8E50>)]
name: str = 'fr_HOCCN'
